Create Product Variant Image

Creates a *Variant Image*. Only one image can be explicitly associated with a Variant. If the Variant already has an associated image, overwrites the existing Variant Image. The image displays on the storefront when the Variant is selected. **Required Fields** - image_file: Form posts. Files larger than 1 MB are not accepted - image_url: Any publicly available URL

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired
variant_idstringRequired

Request

An object containing a publicly accessible image URL, or a form post that contains an image file.
image_urlstringOptional
A public URL for a GIF, JPEG, or PNG image. Limit of 8MB per file.

Response

image_url is returned for both image_file and image_url.

dataobject
An object containing a publicly accessible image URL, or a form post that contains an image file.
metaobject
Response metadata.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error